%define major 1
%define libxdg %mklibname xdg-basedir %{major}
%define libdev %mklibname xdg-basedir -d

Name:		libxdg-basedir
Version:	1.2.0
Release:	%mkrel 9
Summary:	The XDG Base Directory specification defines where files should be looked for
Group:		System/Libraries
License:	MIT
URL:		https://www.ohloh.net/p/libxdg-basedir
Source0:	http://n.ethz.ch/~nevillm/download/libxdg-basedir/libxdg-basedir-%{version}.tar.gz

BuildRequires:	doxygen

%description
The XDG Base Directory Specification defines where should user files be looked
for by defining one or more base directories relative in with they should be
located.

This library implements functions to list the directories according to the
specification and provides a few higher-level functions.

#------------------------------------------------------------------------------
%package -n %{libxdg}
Summary:	The XDG Base Directory specification defines where files should be looked for
Group:		System/Libraries
Provides:	%{name} = %{version}

%description -n %{libxdg}
The XDG Base Directory Specification defines where should user files be looked
for by defining one or more base directories relative in with they should be
located

%files -n %{libxdg}
%_libdir/libxdg-basedir.so.%{major}
%_libdir/libxdg-basedir.so.%{major}.*

#------------------------------------------------------------------------------
%package -n %{libdev}
Summary:	Development Files for %{name}
Group:		Development/Other
Requires:	%{name} = %{version}
Provides:	xdg-basedir-devel = %{version}-%{release}
Obsoletes:	%{_lib}xdg-basedir-static-devel < 1.2.0-6

%description -n %{libdev}
Development Files for %{name}

%files -n %{libdev}
%_includedir/basedir.h
%_includedir/basedir_fs.h
%_libdir/libxdg-basedir.so
%_libdir/pkgconfig/libxdg-basedir.pc

#------------------------------------------------------------------------------
%prep
%setup -q -n libxdg-basedir-%{version}

%build
# to recognize aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 1.2.0-9.mga8
+ Revision: 1514620
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.2.0-8.mga7
+ Revision: 1299240
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 1.2.0-7.mga7
+ Revision: 1234153
+ rebuild (emptylog)

* Tue May 01 2018 wally <wally> 1.2.0-6.mga7
+ Revision: 1224098
- drop static devel pkg
- fix build on aarch64

* Mon Feb 08 2016 umeabot <umeabot> 1.2.0-5.mga6
+ Revision: 942874
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-4.mga5
+ Revision: 749988
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-3.mga5
+ Revision: 681872
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.2.0-2.mga4
+ Revision: 539403
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 fwang <fwang> 1.2.0-1.mga4
+ Revision: 492118
- new version 1.2.0 (from fedora)

* Sat Jan 12 2013 umeabot <umeabot> 1.1.1-4.mga3
+ Revision: 358531
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 10 2012 fwang <fwang> 1.1.1-3.mga3
+ Revision: 259234
- drop .la file

* Thu Jan 20 2011 blino <blino> 1.1.1-2.mga1
+ Revision: 25720
- remove old ldconfig scriptlets
- imported package libxdg-basedir


* Sun Aug 08 2010 Rémy Clouard <shikamaru@mandriva.org> 1.1.1-1mdv2011.0
+ Revision: 567673
- bump release
- fix file list

* Sat Sep 19 2009 Rémy Clouard <shikamaru@mandriva.org> 1.0.2-1mdv2010.1
+ Revision: 444660
- bump release

* Thu May 21 2009 Rémy Clouard <shikamaru@mandriva.org> 1.0.1-1mdv2010.0
+ Revision: 378432
- new upstream release

* Sat May 16 2009 Rémy Clouard <shikamaru@mandriva.org> 1.0.0-1mdv2010.0
+ Revision: 376492
- fix static provides?\195
- fix major
- import libxdg-basedir


